#!/usr/bin/env python3

"""
Lib3to2 maintenance fork. Lib3to2 is a set of fixers and utilities for
lib2to3, a source code transformer included in Python standard library.
"""

import os
from setuptools import setup, find_packages

def get_long_description(fname):
  dirname = os.path.dirname(__file__)
  readme = os.path.join(dirname, fname)
  with open(readme, 'r', encoding='utf-8') as fh:
    return fh.read()

setup(
  name = "awkwardduet",
  version = "1.1a4",
  description = __doc__,
  long_description = get_long_description('README.rst'),
  maintainer = "Denis Zawada",
  maintainer_email = "oss@deno.pl",
  author = "Joe Amenta",
  author_email = "amentajo@msu.edu",
  url = "https://launchpad.net/awkwardduet",
  download_url = 'https://launchpad.net/awkwardduet/+download',
  packages = find_packages('src'),
  package_dir = {'': 'src'},
  test_suite = 'nose.collector',
  tests_require = ['nose>=1.0.0'],
  entry_points = {
    'console_scripts': ['3to2 = lib3to2.main:main'],
  },
  classifiers = [
    "Development Status :: 3 - Alpha",
    "Environment :: Console",
    "Intended Audience :: Developers",
    "License :: OSI Approved :: Apache Software License",
    "Operating System :: OS Independent",
    "Programming Language :: Python :: 3",
    "Programming Language :: Python :: 3.2",
    "Topic :: Software Development :: Code Generators",
    "Topic :: Software Development :: Libraries :: Python Modules",
  ]
)
