'''
Fixer for:
str -> unicode
chr -> unichr
'''

from lib2to3 import fixer_base
from lib2to3.fixer_util import token

_MAPPING = {"chr": "unichr", "str": "unicode"}

class FixStr(fixer_base.BaseFix):

    order = "pre"
    run_order = 8

    PATTERN = "'str' | 'chr'"
    
    def transform(self, node, results):
        if node.type == token.NAME:
            new = node.clone()
            assert new.value in _MAPPING
            new.value = _MAPPING[new.value]
            return new