"""
Fixer for:
"spam" -> u"spam"
b"spam" -> "spam"
"""

import re
from lib2to3.pgen2 import token
from lib2to3 import fixer_base
from lib2to3.fixer_util import Name

_unicode_literal_re = re.compile(r"[rR]?[\'\"]")
_bytes_literal_re = re.compile(r"[bB][rR]?[\'\"]")

class FixStrLiterals(fixer_base.BaseFix):

    BM_compatible = True

    PATTERN = "STRING"

    def transform(self, node, results):
        new = node.clone()
        if node.type == token.STRING:
            if _bytes_literal_re.match(new.value):
                new.value = new.value[1:]
                return new
            elif _unicode_literal_re.match(new.value):
                # Simply add u to the beginning of the literal.
                new.value = "u" + new.value
                return new
