from .test_all_fixers import lib3to2FixerTestCase

class Test_funcdecorator(lib3to2FixerTestCase):
    fixer = "funcdecorator"
    
    def test_simple_function(self):
        a = """
        @foo
        def bar(): pass
        """
        b = """
        def bar(): pass
        bar = foo(bar)
        """
        
        self.check(a, b)
        
    def test_suite_function(self):
        a = """
        @foo
        def bar():
            pass
            pass
        """
        b = """
        def bar():
            pass
            pass
        bar = foo(bar)
        """
        
        self.check(a, b)
        
    def test_simple_method(self):
        a = """
        class Xyz:
            @foo
            def bar(self): pass
        """
        b = """
        class Xyz:
            def bar(self): pass
            bar = foo(bar)
        """
    
        self.check(a, b)
        
    def test_suite_method(self):
        a = """
        class Xyz:
            @foo
            def bar(self): 
                pass
                pass
        """
        b = """
        class Xyz:
            def bar(self): 
                pass
                pass
            bar = foo(bar)
        """
        
        self.check(a, b)
        
    def test_shadowed_method(self):
        a = """
            @bar.setter
            def bar(self):
                pass
        """
        
        b = """
            _lib3to2_tmp_dec = bar
            def bar(self):
                pass
            bar = _lib3to2_tmp_dec.setter(bar); del _lib3to2_tmp_dec
        """
        
        self.check(a, b)