from .test_all_fixers import lib3to2FixerTestCase

class Test_super(lib3to2FixerTestCase):
    fixer = "super"

    def test_noargs(self):

        a = '''
        class Foo:
            def m(self):
              super()'''
        b = '''
        class Foo:
            def m(self):
              super(Foo, self)'''
        self.check(a, b)

    def test_other_params(self):

        a = '''
        class Foo:
            def m(a, self=None):
              super()'''
        b = '''
        class Foo:
            def m(a, self=None):
              super(Foo, a)'''
        self.check(a, b)

    def test_no_with_stars(self):

        a = '''
        class Foo:
            def m(*args, **kwargs):
              super()'''
        self.unchanged(a, ignore_warnings=True)

    def test_no_with_noargs(self):

        a = '''
        class Foo:
            def m():
              super()'''
        self.unchanged(a, ignore_warnings=True)
